###################################################
### chunk number 1: preliminaries
###################################################
#line 94 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
library("marelac")
options(prompt = "> ")
options(width=75)


###################################################
### chunk number 2: 
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
data.frame(cbind(acronym=names(Constants),
             matrix(ncol=3,byrow=TRUE,data=unlist(Constants),
             dimnames=list(NULL,c("value","units","description")))))



###################################################
### chunk number 3: 
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
data.frame(cbind(acronym=names(Oceans),
             matrix(ncol=3,byrow=TRUE,data=unlist(Oceans),
             dimnames=list(NULL,c("value","units","description")))))


###################################################
### chunk number 4: bat
###################################################
#line 160 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
require(marelac)
image(Bathymetry$x,Bathymetry$y,Bathymetry$z,col=femmecol(100),
      asp=TRUE,xlab="",ylab="")
contour(Bathymetry$x,Bathymetry$y,Bathymetry$z,add=TRUE)


###################################################
### chunk number 5: batfig
###################################################
#line 170 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 160 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#170#"
require(marelac)
image(Bathymetry$x,Bathymetry$y,Bathymetry$z,col=femmecol(100),
      asp=TRUE,xlab="",ylab="")
contour(Bathymetry$x,Bathymetry$y,Bathymetry$z,add=TRUE)
#line 171 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 6: 
###################################################
#line 186 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
SURF <- outer(X=Bathymetry$x,
               Y=Bathymetry$y,
               FUN <- function(X,Y) earth_surf(Y,X))
sum(SURF)


###################################################
### chunk number 7: 
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
 sum(SURF*(Bathymetry$z<0))

- sum(SURF*Bathymetry$z*(Bathymetry$z<0))


###################################################
### chunk number 8: 
###################################################
#line 205 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
SurfDepth <- vector()

dseq <- seq(-7500,-250,by=250)

for (i in 2:length(dseq)) {
  ii <- which (Bathymetry$z>dseq[i-1]&Bathymetry$z<=dseq[i])
  SurfDepth[i-1]<-sum(SURF[ii])
}


###################################################
### chunk number 9: ocean
###################################################
#line 216 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plot(dseq[-1],SurfDepth, xlab="depth, m", log="y",
     ylab = "m2", main = "Surface at ocean depths")


###################################################
### chunk number 10: ocean
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 216 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#224#"
plot(dseq[-1],SurfDepth, xlab="depth, m", log="y",
     ylab = "m2", main = "Surface at ocean depths")
#line 225 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 11: 
###################################################
#line 242 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
AtomicWeight
AtomicWeight[8,]
(W_H2O<- with (atomicweight, 2 * H + O))


###################################################
### chunk number 12: 
###################################################
#line 253 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
atmComp("O2")
atmComp()
sum(atmComp())    #!


###################################################
### chunk number 13: cor
###################################################
#line 270 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plot(-90:90,coriolis(-90:90),xlab="latitude, dg North",
                 ylab= "/s" , main ="Coriolis factor",type="l",lwd=2)


###################################################
### chunk number 14: figcor
###################################################
#line 277 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 270 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#277#"
plot(-90:90,coriolis(-90:90),xlab="latitude, dg North",
                 ylab= "/s" , main ="Coriolis factor",type="l",lwd=2)
#line 278 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 15: 
###################################################
#line 291 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
diffcoeff(S=15,t=15)*24*3600*1e4  # cm2/day
diffcoeff(t=10)$O2


###################################################
### chunk number 16: 
###################################################
#line 297 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
difftemp <- diffcoeff(t=0:30)[,1:13]


###################################################
### chunk number 17: diff
###################################################
#line 301 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
matplot(0:30,difftemp,xlab="temperature",ylab=" m2/sec",
        main="Molecular/ionic diffusion",type="l")
legend("topleft",ncol=2,cex=0.8,title="mean",col=1:13,lty=1:13,
        legend=cbind(names(difftemp),format(colMeans(difftemp),digits=4)))


###################################################
### chunk number 18: figdif
###################################################
#line 311 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 301 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#311#"
matplot(0:30,difftemp,xlab="temperature",ylab=" m2/sec",
        main="Molecular/ionic diffusion",type="l")
legend("topleft",ncol=2,cex=0.8,title="mean",col=1:13,lty=1:13,
        legend=cbind(names(difftemp),format(colMeans(difftemp),digits=4)))
#line 312 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 19: visc
###################################################
#line 324 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plot(0:30,viscosity(S=35,t=0:30,P=1),xlab="temperature",ylab="g/m/s",
       main="shear viscosity of water",type="l")
lines(0:30,viscosity(S=0,t=0:30,P=1),col="red")
lines(0:30,viscosity(S=35,t=0:30,P=100),col="blue")
legend("topright",col=c("black","red","blue"),lty=1,
        legend=c("S=35,P=1","S=0,P=1","S=35,P=100"))


###################################################
### chunk number 20: figshear
###################################################
#line 335 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 324 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#335#"
plot(0:30,viscosity(S=35,t=0:30,P=1),xlab="temperature",ylab="g/m/s",
       main="shear viscosity of water",type="l")
lines(0:30,viscosity(S=0,t=0:30,P=1),col="red")
lines(0:30,viscosity(S=35,t=0:30,P=100),col="blue")
legend("topright",col=c("black","red","blue"),lty=1,
        legend=c("S=35,P=1","S=0,P=1","S=35,P=100"))
#line 336 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 21: 
###################################################
#line 351 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
gas_O2sat(t = 20)
t <- seq(0, 30, 0.1)


###################################################
### chunk number 22: 
###################################################
#line 358 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
gas_O2sat(S=35, t=20)*1000/molweight("O2")


###################################################
### chunk number 23: o2sat
###################################################
#line 362 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
  plot(t, gas_O2sat(t = t), type = "l", ylim = c(0, 15), lwd=2,
       main="Oxygen saturation", ylab = "mg/l", xlab="temperature")
  lines(t, gas_O2sat(S = 0, t = t, method = "Weiss"), col = "green",
        lwd = 2, lty = "dashed")
  lines(t, gas_O2sat(S = 35, t = t, method = "Weiss"), col = "red", lwd = 2)
  legend("topright",c("S=35","S=0"),col=c("red","green"), lty=c(1,2), lwd=2)


###################################################
### chunk number 24: figo2sat
###################################################
#line 374 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 362 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#374#"
  plot(t, gas_O2sat(t = t), type = "l", ylim = c(0, 15), lwd=2,
       main="Oxygen saturation", ylab = "mg/l", xlab="temperature")
  lines(t, gas_O2sat(S = 0, t = t, method = "Weiss"), col = "green",
        lwd = 2, lty = "dashed")
  lines(t, gas_O2sat(S = 35, t = t, method = "Weiss"), col = "red", lwd = 2)
  legend("topright",c("S=35","S=0"),col=c("red","green"), lty=c(1,2), lwd=2)
#line 375 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 25: 
###################################################
#line 388 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
gas_satconc(species="O2")
Temp<-seq(from=0,to=30,by=0.1)
Sal <- seq(from=0,to=35,by=0.1)


###################################################
### chunk number 26: solub
###################################################
#line 395 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#
mf  <-par(mfrow=c(2,2))
#
gs  <-gas_solubility(t=Temp)
species   <- c("CCl4","CO2","N2O","Rn","CCl2F2")
matplot(Temp,gs[,species],type="l",lty=1,lwd=2,xlab="temperature",
     ylab="mmol/m3",main="solubility (S=35)")
legend("topright",col=1:5,lwd=2,legend=species)
#
species2 <- c("Kr","CH4","Ar","O2","N2","Ne")
matplot(Temp,gs[,species2],type="l",lty=1,lwd=2,xlab="temperature",
     ylab="mmol/m3",main="solubility (S=35)")
legend("topright",col=1:6,lwd=2,legend=species2)
#

species <- c("N2","CO2","O2","CH4","N2O")
gsat  <-gas_satconc(t=Temp,species=species)
matplot(Temp,gsat,type="l",xlab="temperature",log="y", lty=1,
     ylab="mmol/m3",main="Saturated conc (S=35)",lwd=2)
legend("right",col=1:5,lwd=2,legend=species)
#
gsat  <-gas_satconc(S=Sal,species=species)
matplot(Sal,gsat,type="l",xlab="salinity",log="y", lty=1,
     ylab="mmol/m3",main="Saturated conc (T=20)",lwd=2)
legend("right",col=1:5,lwd=2,legend=species)
#
par("mfrow"=mf)


###################################################
### chunk number 27: figsolub
###################################################
#line 428 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 395 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#428#"
#
mf  <-par(mfrow=c(2,2))
#
gs  <-gas_solubility(t=Temp)
species   <- c("CCl4","CO2","N2O","Rn","CCl2F2")
matplot(Temp,gs[,species],type="l",lty=1,lwd=2,xlab="temperature",
     ylab="mmol/m3",main="solubility (S=35)")
legend("topright",col=1:5,lwd=2,legend=species)
#
species2 <- c("Kr","CH4","Ar","O2","N2","Ne")
matplot(Temp,gs[,species2],type="l",lty=1,lwd=2,xlab="temperature",
     ylab="mmol/m3",main="solubility (S=35)")
legend("topright",col=1:6,lwd=2,legend=species2)
#

species <- c("N2","CO2","O2","CH4","N2O")
gsat  <-gas_satconc(t=Temp,species=species)
matplot(Temp,gsat,type="l",xlab="temperature",log="y", lty=1,
     ylab="mmol/m3",main="Saturated conc (S=35)",lwd=2)
legend("right",col=1:5,lwd=2,legend=species)
#
gsat  <-gas_satconc(S=Sal,species=species)
matplot(Sal,gsat,type="l",xlab="salinity",log="y", lty=1,
     ylab="mmol/m3",main="Saturated conc (T=20)",lwd=2)
legend("right",col=1:5,lwd=2,legend=species)
#
par("mfrow"=mf)
#line 429 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 28: vapor
###################################################
#line 441 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plot(0:30, vapor(t = 0:30), xlab = "Temperature, dgC", ylab = "pH2O/P",
     type ="l")


###################################################
### chunk number 29: figvapor
###################################################
#line 449 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 441 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#449#"
plot(0:30, vapor(t = 0:30), xlab = "Temperature, dgC", ylab = "pH2O/P",
     type ="l")
#line 450 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 30: 
###################################################
#line 464 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
gas_schmidt(species="CO2",t=20)

useq <- 0:15


###################################################
### chunk number 31: transfer
###################################################
#line 470 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plot(useq,gas_transfer(u10=useq,species="O2"),type="l",lwd=2,xlab="u10,m/s",
     ylab="m/s", main="O2 gas transfer velocity",ylim=c(0,3e-4))
lines(useq,gas_transfer(u10=useq,species="O2",method="Nightingale"),lwd=2,lty=2)
lines(useq,gas_transfer(u10=useq,species="O2",method="Wanninkhof1"),lwd=2,lty=3)
lines(useq,gas_transfer(u10=useq,species="O2",method="Wanninkhof2"),lwd=2,lty=4)

legend("topleft",lty=1:4,lwd=2,legend=c("Liss and Merlivat 1986",
"Nightingale et al. 2000","Wanninkhof 1992","Wanninkhof and McGills 1999"))


###################################################
### chunk number 32: figtransfer
###################################################
#line 484 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 470 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#484#"
plot(useq,gas_transfer(u10=useq,species="O2"),type="l",lwd=2,xlab="u10,m/s",
     ylab="m/s", main="O2 gas transfer velocity",ylim=c(0,3e-4))
lines(useq,gas_transfer(u10=useq,species="O2",method="Nightingale"),lwd=2,lty=2)
lines(useq,gas_transfer(u10=useq,species="O2",method="Wanninkhof1"),lwd=2,lty=3)
lines(useq,gas_transfer(u10=useq,species="O2",method="Wanninkhof2"),lwd=2,lty=4)

legend("topleft",lty=1:4,lwd=2,legend=c("Liss and Merlivat 1986",
"Nightingale et al. 2000","Wanninkhof 1992","Wanninkhof and McGills 1999"))
#line 485 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 33: 
###################################################
#line 498 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
sw_conserv(S=seq(0,35,by=5))


###################################################
### chunk number 34: 
###################################################
#line 519 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
convert_AStoPS(S=35)
convert_PStoAS(S=35)


###################################################
### chunk number 35: 
###################################################
#line 548 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
convert_PStoAS(S=35,lat=-10,lon=0)
convert_PStoAS(S=35,lat=0,lon=0)
convert_PStoAS(S=35,lat=10,lon=0)
convert_PStoAS(S=35,lat=-10,lon=0)

convert_PStoAS(S=35,lat=-10, DSi=1:10, Ocean="Pacific")

dsal <- t(sw_sfac$del_sa[1,,])
dsal [dsal < -90]<-NA


###################################################
### chunk number 36: sfac
###################################################
#line 559 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
image(sw_sfac$longs, sw_sfac$lats, dsal, col=femmecol(100),
      asp=TRUE, xlab="dg", ylab="dg",
      main="salinity conversion - p = 0 bar")
contour(sw_sfac$longs, sw_sfac$lats, dsal, asp=TRUE, add=TRUE)


###################################################
### chunk number 37: sfac
###################################################
#line 568 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 559 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#568#"
image(sw_sfac$longs, sw_sfac$lats, dsal, col=femmecol(100),
      asp=TRUE, xlab="dg", ylab="dg",
      main="salinity conversion - p = 0 bar")
contour(sw_sfac$longs, sw_sfac$lats, dsal, asp=TRUE, add=TRUE)
#line 569 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 38: sfac2
###################################################
#line 577 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
ii <- c(6,21,24,43)
par(mfrow=c(2,2))
for ( i in ii)
{
dsal <- t(sw_sfac$del_sa[,i,])
dsal [dsal < -90]<-0
image(sw_sfac$longs, sw_sfac$p, dsal, col=c("black",femmecol(100)),
      xlab="longitude, dg", ylab="depth, m", zlim=c(0,0.018),
      main=sw_sfac$lat[i],ylim=c(6000,0))
contour(sw_sfac$longs, sw_sfac$p, dsal, asp=TRUE, add=TRUE)
}


###################################################
### chunk number 39: sfac2
###################################################
#line 593 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 577 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#593#"
ii <- c(6,21,24,43)
par(mfrow=c(2,2))
for ( i in ii)
{
dsal <- t(sw_sfac$del_sa[,i,])
dsal [dsal < -90]<-0
image(sw_sfac$longs, sw_sfac$p, dsal, col=c("black",femmecol(100)),
      xlab="longitude, dg", ylab="depth, m", zlim=c(0,0.018),
      main=sw_sfac$lat[i],ylim=c(6000,0))
contour(sw_sfac$longs, sw_sfac$p, dsal, asp=TRUE, add=TRUE)
}
#line 594 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 40: 
###################################################
#line 618 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
sw_cp(S=40,t=1:20)
sw_cp(S=40,t=1:20,method="UNESCO")


###################################################
### chunk number 41: 
###################################################
#line 626 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
t  <-  25.5
p  <- 1023/10  # pressure in bar
S  <- 35.7
sw_alpha(S,t,p)               -0.0003098378393192645
sw_beta(S,t,p)                -0.0007257297978386655
sw_cp(S,t,p)                  -3974.42541259729
sw_tpot(S,t,p)                -25.2720983155409
sw_dens(S,t,p)                -1027.95249315662
sw_enthalpy(S,t,p)            -110776.712408975
sw_entropy(S,t,p)             -352.81879771528
sw_kappa(S,t,p)               -4.033862685464779e-6
sw_kappa_t(S,t,p)             -4.104037946151349e-6
sw_svel(S,t,p)                -1552.93372863425


###################################################
### chunk number 42: sw
###################################################
#line 646 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plotST <- function(fun,title)
{
  Sal <-  seq(0,40,by=0.5)
  Temp<- seq(-5,40,by=0.5)

  Val <- outer(X=Sal,Y=Temp,FUN=function(X,Y) fun(S=X, t=Y))
  contour(Sal,Temp,Val,xlab="Salinity",ylab="temperature",
          main=title,nlevel=20)
}

par (mfrow=c(3,2))
par(mar=c(4,4,3,2))
plotST(sw_gibbs,"Gibbs function")
plotST(sw_cp,"Heat capacity")
plotST(sw_entropy,"Entropy")
plotST(sw_enthalpy,"Enthalpy")
plotST(sw_dens,"Density")
plotST(sw_svel,"Sound velocity")


###################################################
### chunk number 43: sw
###################################################
#line 670 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 646 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#670#"
plotST <- function(fun,title)
{
  Sal <-  seq(0,40,by=0.5)
  Temp<- seq(-5,40,by=0.5)

  Val <- outer(X=Sal,Y=Temp,FUN=function(X,Y) fun(S=X, t=Y))
  contour(Sal,Temp,Val,xlab="Salinity",ylab="temperature",
          main=title,nlevel=20)
}

par (mfrow=c(3,2))
par(mar=c(4,4,3,2))
plotST(sw_gibbs,"Gibbs function")
plotST(sw_cp,"Heat capacity")
plotST(sw_entropy,"Entropy")
plotST(sw_enthalpy,"Enthalpy")
plotST(sw_dens,"Density")
plotST(sw_svel,"Sound velocity")
#line 671 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 44: sw2
###################################################
#line 678 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
par (mfrow=c(3,2))
par(mar=c(4,4,3,2))
plotST(sw_kappa,"Isentropic compressibility")
plotST(sw_kappa_t,"Isothermal compressibility")
plotST(sw_alpha,"Thermal expansion coefficient")
plotST(sw_beta,"Haline contraction coefficient")
plotST(sw_adtgrad,"Adiabatic temperature gradient")
par (mfrow=c(1,1))


###################################################
### chunk number 45: sw2
###################################################
#line 691 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 678 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#691#"
par (mfrow=c(3,2))
par(mar=c(4,4,3,2))
plotST(sw_kappa,"Isentropic compressibility")
plotST(sw_kappa_t,"Isothermal compressibility")
plotST(sw_alpha,"Thermal expansion coefficient")
plotST(sw_beta,"Haline contraction coefficient")
plotST(sw_adtgrad,"Adiabatic temperature gradient")
par (mfrow=c(1,1))
#line 692 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 46: sw3
###################################################
#line 701 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
par (mfrow=c(2,2))
par(mar=c(4,4,3,2))
plotST(function(S,t) sw_dens(S,t,method="UNESCO")-sw_dens(S,t),
  "Density UNESCO - Gibbs")
plotST(function(S,t) sw_cp(S,t,method="UNESCO")-sw_cp(S,t),
  "Heat capacity UNESCO - Gibbs")
plotST(function(S,t) sw_svel(S,t,method="UNESCO")-sw_svel(S,t),
  "Sound velocity UNESCO - Gibbs")
par (mfrow=c(1,1))


###################################################
### chunk number 47: sw3
###################################################
#line 715 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 701 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#715#"
par (mfrow=c(2,2))
par(mar=c(4,4,3,2))
plotST(function(S,t) sw_dens(S,t,method="UNESCO")-sw_dens(S,t),
  "Density UNESCO - Gibbs")
plotST(function(S,t) sw_cp(S,t,method="UNESCO")-sw_cp(S,t),
  "Heat capacity UNESCO - Gibbs")
plotST(function(S,t) sw_svel(S,t,method="UNESCO")-sw_svel(S,t),
  "Sound velocity UNESCO - Gibbs")
par (mfrow=c(1,1))
#line 716 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 48: 
###################################################
#line 739 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
1/molweight("CO3")
1/molweight("HCO3")
1/molweight(c("C2H5OH", "CO2", "H2O"))

molweight(c("SiOH4", "NaHCO3", "C6H12O6", "Ca(HCO3)2", "Pb(NO3)2", "(NH4)2SO4"))


###################################################
### chunk number 49: 
###################################################
#line 750 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
gs <- gas_solubility()
species <- colnames(gs)
mw <- molweight(species)


###################################################
### chunk number 50: mwgs
###################################################
#line 755 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
plot(mw,gs,type="n",xlab="molecular weight", ylab="solubility", log="y")
text(mw,gs,species)


###################################################
### chunk number 51: mwgs
###################################################
#line 763 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
#line 755 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw#from line#763#"
plot(mw,gs,type="n",xlab="molecular weight", ylab="solubility", log="y")
text(mw,gs,species)
#line 764 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"


###################################################
### chunk number 52: 
###################################################
#line 775 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
molvol(species="ideal")
molvol(species="ideal",t=1:10)


###################################################
### chunk number 53: 
###################################################
#line 779 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
1/molvol(species="O2",t=0)*1000
1/molvol(species="O2",q=1:6,t=0)
1/molvol(t=1:5,species=c("CO2","O2","N2O"))


###################################################
### chunk number 54: 
###################################################
#line 805 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
redfield(1, "P")


###################################################
### chunk number 55: 
###################################################
#line 812 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
redfield(1, "N")


###################################################
### chunk number 56: 
###################################################
#line 820 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
redfield(2, "P", "mass")


###################################################
### chunk number 57: 
###################################################
#line 826 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
x <- redfield(1, "P", "mass")
x / sum(x)


###################################################
### chunk number 58: 
###################################################
#line 833 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
stumm <- c(C=106, H=180, O=45, N=16, P=1)
x <- redfield(1, "P", "mass", ratio = stumm)
x / sum(x)


###################################################
### chunk number 59: 
###################################################
#line 849 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
convert_p(1, "atm")


###################################################
### chunk number 60: 
###################################################
#line 858 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
convert_T(1, "C")


###################################################
### chunk number 61: 
###################################################
#line 867 "d:/Rcompile/CRANpkg/local/2.12/marelac/inst/doc/marelac.Rnw"
convert_StoCl(S=35)
convert_RtoS(R=1)
convert_StoR(S=35)


